/* ...existing code... */
.top-title {
    background: var(--background-dark) url('../imgs/products_background.jpg')
              center / cover no-repeat;
}

.products-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 4rem;
    padding: 2em 2vw;
    align-items: stretch;
    justify-content: center;
    width: 85%;
    margin: 0 auto;
}

.product-card {
    border: 1px solid var(--border-color);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 2px;
    margin: 0;
    padding: 5px;
    overflow: hidden;
    width: 400px;
    height: 250px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 30px;
}

.product-card h2,
.product-card p {
    margin: .5em 1em;
}

.product-card h2 {
    font-size: 1.5em;
    text-align: center;
}

@media (max-width: 1079px) {
    .products-grid {
        width: 96%;
        padding: 1em 0;
        gap: 1em;
    }
}

@media (max-width: 670px) {
    .products-grid {
        width: 100%;
        padding: 1em 0;
    }

    .product-card {
        width: 96%;
        margin: 0 auto;
    }
}